## kscreenlocker 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(kscreenlocker)
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick QuickWidgets Test)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CheckIncludeFiles)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)

include(CheckIncludeFile)
include(CheckSymbolExists)
check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif ()
add_feature_info("prctl/procctl tracing control"
                 CAN_DISABLE_PTRACE
                 "Required for disallowing ptrace on greeter and kcheckpass process")

check_include_file("sys/signalfd.h" HAVE_SIGNALFD_H)
if (NOT HAVE_SIGNALFD_H)
    check_include_files("sys/types.h;sys/event.h" HAVE_EVENT_H)
endif ()
if (NOT (HAVE_SIGNALFD_H OR HAVE_EVENT_H))
    message(FATAL_ERROR "kcheckpass either needs signalfd() or kevent()&sigtimedwait() to work")
endif ()
add_feature_info("sys/signalfd.h"
                 HAVE_SIGNALFD_H
                 "Use the signalfd() api for signalhandling")
add_feature_info("sys/event.h"
                 HAVE_EVENT_H
                 "Use the kevent() and sigwaitinfo() api for signalhandling")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Crash
                    Declarative
                    GlobalAccel
                    I18n
                    IdleTime
                    KCMUtils
                    Notifications
                    Solid
                    TextWidgets
                    WindowSystem
                    XmlGui
                    )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace")

find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

find_package(KF5Wayland CONFIG REQUIRED)
set_package_properties(KF5Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")
find_package(WaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")

find_package(loginctl)
set_package_properties(loginctl PROPERTIES
    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
    DESCRIPTION "Send control commands to the login manager"
    TYPE RUNTIME
    )
set(HAVE_LOGINCTL ${loginctl_FOUND})

if ( NOT HAVE_LOGINCTL )
    find_package(ConsoleKit)
    set_package_properties(ConsoleKit PROPERTIES
        URL "https://github.com/ConsoleKit2/ConsoleKit2"
        DESCRIPTION "Framework for tracking user login sessions"
        TYPE RECOMMENDED
        )
    set(HAVE_CONSOLEKIT ${ConsoleKit_FOUND})
endif ()

if (HAVE_LOGINCTL OR HAVE_CONSOLEKIT)
    set(HAVE_UNLOCK_CAPABILITY TRUE)
endif ()

add_feature_info("Unlock broken screenlocker"
                 HAVE_UNLOCK_CAPABILITY
                 "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl or consolekit please contact plasma-devel@kde.org to discuss alternatives.")

option(PAM_REQUIRED "Require building with PAM" ON)

find_package(Seccomp)
set_package_properties(Seccomp PROPERTIES
    TYPE
        OPTIONAL
    PURPOSE
        "Used for putting the look'n'feel package in the greeter into a sandbox."
)
set(HAVE_SECCOMP ${Seccomp_FOUND})

include(ConfigureChecks.cmake)

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

if (HAVE_CONSOLEKIT)
    configure_file(ck-unlock-session.cmake ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session)
endif ()

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREENLOCKER
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreenlocker_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
                        SOVERSION 5)

configure_file(config-kscreenlocker.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kscreenlocker.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(KSLD_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/KScreenLocker")

add_subdirectory(kcheckpass)
add_subdirectory(greeter)
add_subdirectory(kcm)

add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")

set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
set(powerdevilpolicyagent_xml dbus/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)

set(ksld_SRCS
   abstractlocker.cpp
   ksldapp.cpp
   interface.cpp
   globalaccel.cpp
   x11locker.cpp
   waylandlocker.cpp
   logind.cpp
   waylandserver.cpp
   powermanagement.cpp
   powermanagement_inhibition.cpp
   kscreensaversettings.cpp
)
qt5_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
qt5_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
kconfig_add_kcfg_files(ksld_SRCS kcfg/kscreensaversettingsbase.kcfgc)
qt5_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)

ecm_add_wayland_server_protocol(ksld_SRCS
    PROTOCOL protocols/ksld.xml
    BASENAME ksld
)

add_library(KScreenLocker SHARED ${ksld_SRCS})

target_link_libraries(KScreenLocker
PUBLIC
   Qt5::Core
   Qt5::X11Extras
PRIVATE
   Qt5::DBus
   KF5::I18n
   KF5::IdleTime
   KF5::GlobalAccel
   KF5::Notifications
   KF5::CoreAddons
   KF5::ConfigGui
   KF5::Package
   KF5::WindowSystem
   KF5::XmlGui
   ${X11_LIBRARIES}
   XCB::XCB
   XCB::KEYSYMS
   KF5::WaylandServer
   Wayland::Server
)

if (X11_Xinput_FOUND)
    target_link_libraries(KScreenLocker PRIVATE ${X11_Xinput_LIB})
endif()

target_include_directories(KScreenLocker INTERFACE "$<INSTALL_INTERFACE:${KSLD_INCLUDEDIR}>")

# Needed to compile on Arm target.
set_target_properties(KScreenLocker PROPERTIES COMPILE_FLAGS "-fPIC")

add_library(PW::KScreenLocker ALIAS KScreenLocker)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

generate_export_header(KScreenLocker
    BASE_NAME KScreenLocker
    EXPORT_MACRO_NAME KSCREENLOCKER_EXPORT
    EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
)

configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/ScreenSaverDBusInterface")

set_target_properties(KScreenLocker PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/ScreenSaverDBusInterface")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker")

if (HAVE_CONSOLEKIT)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session DESTINATION ${KDE_INSTALL_BINDIR})
endif ()

install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
install(EXPORT KScreenLockerTargets DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)

ecm_generate_headers(KScreenLocker_CamelCase_HEADERS
    HEADER_NAMES
        KsldApp
    REQUIRED_HEADERS KScreenLocker_HEADERS)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/KScreenLocker/kscreenlocker_export.h
        ${KScreenLocker_CamelCase_HEADERS}
        ${KScreenLocker_HEADERS}
    DESTINATION
        ${KSLD_INCLUDEDIR}/KScreenLocker
    COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
			  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
		DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker"
		COMPONENT Devel)

install(FILES kscreenlocker.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} RENAME ksmserver.notifyrc)
install(FILES ${screensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.freedesktop.ScreenSaver.xml)

install(FILES ${kscreensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})


install(FILES   updaters/kscreenlocker.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(PROGRAMS updaters/ksreenlocker_5_3_separate_autologin.pl
                DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== greeter/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker_greet\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ../kcheckpass
    ${CMAKE_CURRENT_BINARY_DIR}/../
)

set(kscreenlocker_greet_SRCS
   authenticator.cpp
   greeterapp.cpp
   main.cpp
   noaccessnetworkaccessmanagerfactory.cpp
   lnf_integration.cpp
   wallpaper_integration.cpp
   kwinglplatform.cpp
)

if(HAVE_SECCOMP)
    set(kscreenlocker_greet_SRCS ${kscreenlocker_greet_SRCS} seccomp_filter.cpp)
endif()

qt5_add_resources(kscreenlocker_greet_SRCS fallbacktheme.qrc)
kconfig_add_kcfg_files(kscreenlocker_greet_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../kcfg/kscreensaversettingsbase.kcfgc)

ecm_add_wayland_client_protocol(kscreenlocker_greet_SRCS
    PROTOCOL ../protocols/ksld.xml
    BASENAME ksld
)

add_executable(kscreenlocker_greet ${kscreenlocker_greet_SRCS})

target_link_libraries(kscreenlocker_greet
                        KF5::Package
                        KF5::Crash
                        KF5::I18n
                        KF5::ConfigGui
                        KF5::Declarative
                        KF5::QuickAddons
                        KF5::WindowSystem
                        Qt5::Quick
                        Qt5::Qml
                        Qt5::X11Extras
                        ${X11_LIBRARIES}
                        KF5::WaylandClient
                        Wayland::Client
                        )
if(HAVE_SECCOMP)
    target_link_libraries(kscreenlocker_greet Qt5::DBus Seccomp::Seccomp)
endif()

install(TARGETS kscreenlocker_greet DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(DIRECTORY themes/org.kde.passworddialog DESTINATION ${KDE_INSTALL_DATADIR}/ksmserver/screenlocker)

add_subdirectory(autotests)

=== kcm/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"screenlocker_kcm\")

set(screenlocker_kcm_SRCS
    kcm.cpp
    ../kscreensaversettings.cpp
    ../greeter/wallpaper_integration.cpp
    ../greeter/lnf_integration.cpp
)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

ki18n_wrap_ui(screenlocker_kcm_SRCS kcm.ui)
kconfig_add_kcfg_files(screenlocker_kcm_SRCS ../kcfg/kscreensaversettingsbase.kcfgc)
qt5_add_dbus_interface(screenlocker_kcm_SRCS ../dbus/org.kde.screensaver.xml screenlocker_interface)
qt5_add_resources( screenlocker_kcm_SRCS resources.qrc )

add_library(screenlocker_kcm MODULE ${screenlocker_kcm_SRCS})

target_link_libraries(screenlocker_kcm
    Qt5::DBus
    Qt5::QuickWidgets
    KF5::ConfigWidgets
    KF5::I18n
    KF5::TextWidgets
    KF5::GlobalAccel
    KF5::Package
    KF5::XmlGui
    KF5::Declarative
)

kcoreaddons_desktop_to_json(screenlocker_kcm screenlocker.desktop SERVICE_TYPES kcmodule.desktop)

install(
    TARGETS
        screenlocker_kcm
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}
)

install(
    FILES
        screenlocker.desktop
    DESTINATION
        ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kscreenlocker (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:26 +0100

kscreenlocker (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:51 +0000

kscreenlocker (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:02 +0000

kscreenlocker (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:51 +0000

kscreenlocker (5.18.0-0ubuntu2) focal; urgency=medium

  * Follow Debian unstable drop of testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2020 17:43:09 +0000

kscreenlocker (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:10 +0000

kscreenlocker (5.17.90-0ubuntu2) focal; urgency=medium

  * Merge changes from debian 5.17.5-1. Remaining changes:
    - New upstream (beta) release (5.17.90)
    - debian/control:
      + Kubuntu Vcs fields.
      + Bump KF5 build depends to upstream minimum 5.66.0
    - Keep lintian overrides
    - debian/tests: Keep files, but disable until can be dropped
      in next unstable release.
    - debian/meta/cmake-ignore: Keep config for Kububtu CI.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2020 08:23:44 +0000

kscreenlocker (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:05 +0000

kscreenlocker (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused libkf5kdelibs4support-dev, and libkf5plasma-dev
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the patches:
    - send_password_once.patch: drop, fixed upstream
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Use the ${perl:Depends} substvar in kde-config-screenlocker.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 14:30:49 +0100

kscreenlocker (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:41 +0000

kscreenlocker (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:57 +0000

kscreenlocker (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:46 +0000

kscreenlocker (5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:00 +0000

kscreenlocker (5.14.5-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Salsa CI automatic initialization by Tuco
  * Add patch: send_password_once.patch.
    Thanks to Jason Franklin (Closes: 934185)
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Drop old breaks/replaces, fixed versions already in stable
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Build with hardening bindnow
  * Release to unstable

  [ Scarlett Gately Moore ]
  * Add psmisc Depends as 'killall' is used in postinst and it needs to be
    installed. (Closes: 911052)

  [ Scarlett Clark ]
  * Move psmisc to Pre-Depends as per Debian policy.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 17:16:49 -0700

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               libkf5crash-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5idletime-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5solid-dev (>= 5.66.0~),
               libkf5textwidgets-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.5.1~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.12.0~),
               libseccomp-dev,
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Pre-Depends: psmisc
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Multi-Arch: same
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kscreenlocker 5.19.5

=== debian/changelog ===
kscreenlocker (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:42 +0100

kscreenlocker (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:01 +0100

kscreenlocker (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:59 +0100

kscreenlocker (5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:27 +0100

kscreenlocker (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               libkf5crash-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5idletime-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5solid-dev (>= 5.66.0~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.5.1~),
-               libkf5windowsystem-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5idletime-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5solid-dev (>= 5.70.0~),
+               libkf5textwidgets-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.12.0~),
                libseccomp-dev,

## kscreenlocker 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(kscreenlocker)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick QuickWidgets Test)
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick Test)
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -55,10 +55,8 @@
                     GlobalAccel
                     I18n
                     IdleTime
-                    KCMUtils
                     Notifications
                     Solid
-                    TextWidgets
                     WindowSystem
                     XmlGui
                     )
@@ -114,15 +112,6 @@
 
 option(PAM_REQUIRED "Require building with PAM" ON)
 
-find_package(Seccomp)
-set_package_properties(Seccomp PROPERTIES
-    TYPE
-        OPTIONAL
-    PURPOSE
-        "Used for putting the look'n'feel package in the greeter into a sandbox."
-)
-set(HAVE_SECCOMP ${Seccomp_FOUND})
-
 include(ConfigureChecks.cmake)
 
 configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
@@ -146,9 +135,12 @@
 
 set(KSLD_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/KScreenLocker")
 
+include(ECMQtDeclareLoggingCategory)
+
 add_subdirectory(kcheckpass)
 add_subdirectory(greeter)
 add_subdirectory(kcm)
+add_subdirectory(settings)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
 
@@ -167,11 +159,21 @@
    waylandserver.cpp
    powermanagement.cpp
    powermanagement_inhibition.cpp
-   kscreensaversettings.cpp
-)
+)
+
+ecm_qt_declare_logging_category(ksld_SRCS
+    HEADER
+        kscreenlocker_logging.h
+    IDENTIFIER
+        KSCREENLOCKER
+    CATEGORY_NAME
+        kscreenlocker
+    DEFAULT_SEVERITY
+        Critical
+)
+
 qt5_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
 qt5_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
-kconfig_add_kcfg_files(ksld_SRCS kcfg/kscreensaversettingsbase.kcfgc)
 qt5_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)
 
 ecm_add_wayland_server_protocol(ksld_SRCS
@@ -186,6 +188,7 @@
    Qt5::Core
    Qt5::X11Extras
 PRIVATE
+   settings
    Qt5::DBus
    KF5::I18n
    KF5::IdleTime

=== kcm/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"screenlocker_kcm\")

set(screenlocker_kcm_SRCS
    kcm.cpp
)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

qt5_add_dbus_interface(screenlocker_kcm_SRCS ../dbus/org.kde.screensaver.xml screenlocker_interface)

add_library(kcm_screenlocker MODULE ${screenlocker_kcm_SRCS})

target_link_libraries(kcm_screenlocker
    settings
    Qt5::DBus
    KF5::Declarative
    KF5::I18n
    KF5::GlobalAccel
    KF5::Package
    KF5::QuickAddons
    KF5::XmlGui
)

kcoreaddons_desktop_to_json(kcm_screenlocker screenlocker.desktop SERVICE_TYPES kcmodule.desktop)

install(
    TARGETS
        kcm_screenlocker
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}/kcms
)

kpackage_install_package(package kcm_screenlocker kcms)

install(
    FILES
        screenlocker.desktop
    DESTINATION
        ${KDE_INSTALL_KSERVICES5DIR}
)

=== settings/CMakeLists.txt ===
add_library(settings STATIC
    kscreensaversettings.cpp
    lnf_integration.cpp
    wallpaper_integration.cpp
)
kconfig_add_kcfg_files(settings GENERATE_MOC kscreensaversettingsbase.kcfgc)
target_link_libraries(settings
    KF5::ConfigWidgets
    KF5::Declarative
    KF5::GlobalAccel
    KF5::I18n
    KF5::Package
    KF5::XmlGui
)

=== greeter/autotests/CMakeLists.txt ===
add_definitions(-DKSCREENLOCKER_UNIT_TEST)
include(ECMMarkAsTest)

#####################################
# fakekcheckpass
#####################################
add_executable(fakekcheckpass fakekcheckpass.c)
ecm_mark_nongui_executable(fakekcheckpass)
target_link_libraries(fakekcheckpass ${SOCKET_LIBRARIES})

#######################################
# AuthenticatorTest
#######################################
set( authenticatorTest_SRCS
     authenticatortest.cpp
     ../authenticator.cpp
)
add_executable(authenticatorTest ${authenticatorTest_SRCS})
target_link_libraries(authenticatorTest Qt5::Test)
add_test(NAME ksmserver-authenticatorTest COMMAND authenticatorTest)
ecm_mark_as_test(authenticatorTest)

#######################################
# KillTest
#######################################
add_executable(killTest killtest.cpp)
add_test(NAME kscreenlocker-killTest COMMAND killTest)
ecm_mark_as_test(killTest)
target_link_libraries(killTest Qt5::Test)

=== debian/changelog ===
kscreenlocker (5.20.5-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the unused libseccomp-dev build dependency.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove empty line at the beginning of copyright.

  [ Norbert Preining ]
  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kscreenlocker (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kscreenlocker (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kscreenlocker (5.19.5-5) UNRELEASED; urgency=medium

  * Fix "kwin cannot start due to missing libkscreenunlocker5 symbols"
  A symbols file was introduced this release in packaging,
  in transition an ABI breakage was exposed in kwin-common.
  To resolve: added a Breaks to kwin-common < this release
  to ensure the new version is installed to avoid the
  ABI breakage. Thanks to Norb for suggestion. (Closes: #974538)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 13 Nov 2020 10:48:58 -0700

kscreenlocker (5.19.5-4) unstable; urgency=medium

  [ Scarlett Moore ]
  * Revert libexec changes as is has adverse effects. This applies
    to library helpers.

 -- Norbert Preining <norbert@preining.info>  Tue, 10 Nov 2020 04:24:00 +0900

kscreenlocker (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Update d/upstream/metadata.
   - Add missing Bug-Database.
   - Remove obsolete fields already defined in
     d/copyright.
   - Update repo urls to invent.kde.org.
   - Update changelog to announcements.
  * Add set -e to maint script. (lintian)
  * Extend the extended description. (lintian)
  * Add libkscreenlocker symbols file. (lintian)

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

kscreenlocker (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

kscreenlocker (5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:28:55 +0900

kscreenlocker (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Update Qt build-deps to 5.14 according to cmake.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 22:28:07 +0200

kscreenlocker (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:46:48 +0100

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               libkf5crash-dev (>= 5.74~),
               libkf5declarative-dev (>= 5.74~),
               libkf5globalaccel-dev (>= 5.74~),
               libkf5i18n-dev (>= 5.74~),
               libkf5idletime-dev (>= 5.74~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.74~),
               libkf5solid-dev (>= 5.74~),
               libkf5textwidgets-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.5.1~),
               libkf5windowsystem-dev (>= 5.74~),
               libkf5xmlgui-dev (>= 5.74~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.15.0~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/kscreenlocker
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
Rules-Requires-Root: no

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the KCM settings module for kscreenlocker.

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Pre-Depends: psmisc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.20), kwin-common (>> 4:5.20.70~)
Recommends: kde-config-screenlocker
Multi-Arch: same
Description: Secure lock screen architecture
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the library files for kscreenlocker.

## kscreenlocker 5.21.4

=== debian/changelog ===
kscreenlocker (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:26 +0100

kscreenlocker (5.21.3-0ubuntu2) hirsute; urgency=medium

  * Mark symbols as optional that are not seen when building with lto.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Mar 2021 17:09:13 +0100

kscreenlocker (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:33:25 +0000

kscreenlocker (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:22 +0000

kscreenlocker (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:55 +0000

kscreenlocker (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:37 +0000

kscreenlocker (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Remove libkscreenunlocker5 breaks on kwin-common > 5.20.70~

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:39 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~)
+               qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
@@ -65,7 +65,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkscreenlocker5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -85,7 +86,7 @@
 Architecture: any
 Pre-Depends: psmisc
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.20), kwin-common (>> 4:5.20.70~)
+Breaks: kwin-common (<< 4:5.20)
 Recommends: kde-config-screenlocker
 Multi-Arch: same
 Description: Secure lock screen architecture

## kscreenlocker 5.22.5

=== debian/changelog ===
kscreenlocker (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:47:09 +0200

kscreenlocker (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:44 +0100

kscreenlocker (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:09 +0100

kscreenlocker (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:53:08 +0100

kscreenlocker (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:47 +0100

kscreenlocker (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:45 +0100

kscreenlocker (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Build depend on liblayershellqtinterface-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:23 +0100

kscreenlocker (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5crash-dev (>= 5.74~),
-               libkf5declarative-dev (>= 5.74~),
-               libkf5globalaccel-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5idletime-dev (>= 5.74~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.74~),
-               libkf5solid-dev (>= 5.74~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.5.1~),
-               libkf5windowsystem-dev (>= 5.74~),
-               libkf5xmlgui-dev (>= 5.74~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5globalaccel-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5solid-dev (>= 5.82.0~),
+               libkf5textwidgets-dev (>= 5.82.0~),
+               libkf5wayland-dev (>= 4:5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
+               liblayershellqtinterface-dev (>= 5.22.5~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.0~),
                libwayland-dev (>= 1.3~),
